> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# List Roles

> List Yuno default and organization custom roles.

List Yuno default and organization custom roles.


## OpenAPI

````yaml openapi/organizations/list-roles.json GET /organizations/roles
openapi: 3.1.0
info:
  title: Roles API - List
  version: 1.0.0
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /organizations/roles:
    get:
      summary: List Roles
      description: List Yuno default and organization custom roles.
      operationId: list-roles
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: rol_AbCdEfGhIjKl
                    name:
                      type: string
                      example: Admin
                    description:
                      type: string
                      nullable: true
                    admin:
                      type: boolean
                    permission_ids:
                      type: array
                      items:
                        type: string
                    testing_permission_ids:
                      type: array
                      items:
                        type: string
                    role_type:
                      type: string
                      enum:
                        - account
                        - organization
                    created_at:
                      type: string
                      format: date-time
                    updated_at:
                      type: string
                      format: date-time
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: PUBLIC-API-KEY
      x-default: <Your PUBLIC-API-KEY>
    sec1:
      type: apiKey
      in: header
      name: PRIVATE-SECRET-KEY
      x-default: <Your PRIVATE-SECRET-KEY>

````